Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractProgressBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractProgressBar

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

Direct Known Subclasses:
  UIProgressBar

    public abstract class AbstractProgressBar

extends javax.faces.component.UIComponentBase
implements org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder

Class provides base component class for progress bar

Author:
  "Andrey Markavtsov"

Field Summary
`static String` | `COMPONENT_FAMILY` Component family
`static String` | `COMPONENT_TYPE` Component type
`static String` | `STATE_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`AbstractProgressBar()`

Method Summary
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, String metaComponentId)`
`abstract Object` | `getData()`
`abstract String` | `getFinishClass()`
`abstract String` | `getInitialClass()`
`abstract int` | `getInterval()`
`abstract String` | `getLabel()`
`abstract Object` | `getMaxValue()`
`abstract Object` | `getMinValue()`
`abstract org.richfaces.component.SwitchType` | `getMode()`
`abstract String` | `getOnbeforedomupdate()`
`abstract String` | `getOnbegin()`
`abstract String` | `getOnclick()`
`abstract String` | `getOncomplete()`
`abstract String` | `getOndblclick()`
`abstract String` | `getOnfinish()`
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getProgressClass()`
`abstract String` | `getRemainingClass()`
`abstract String` | `getResource()`
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`abstract Object` | `getValue()`
`abstract boolean` | `isEnabled()`
`String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`abstract void` | `setData(Object data)`
`String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

  Component type

  See Also:
    Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

  Component family

  See Also:
    Constant Field Values

### STATE_META_COMPONENT_ID

    public static final String STATE_META_COMPONENT_ID

See Also:
  Constant Field Values

Constructor Detail

### AbstractProgressBar

    public AbstractProgressBar()

Method Detail

### getOnclick

    public abstract String getOnclick()

### getOndblclick

    public abstract String getOndblclick()

### getOnmousedown

    public abstract String getOnmousedown()

### getOnmouseup

    public abstract String getOnmouseup()

### getOnmouseover

    public abstract String getOnmouseover()

### getOnmousemove

    public abstract String getOnmousemove()

### getOnmouseout

    public abstract String getOnmouseout()

### getOnbegin

    public abstract String getOnbegin()

### getLabel

    public abstract String getLabel()

### getData

    public abstract Object getData()

### setData

    public abstract void setData(Object data)

### getInterval

    public abstract int getInterval()

### isEnabled

    public abstract boolean isEnabled()

### getOnbeforedomupdate

    public abstract String getOnbeforedomupdate()

### getOncomplete

    public abstract String getOncomplete()

### getOnfinish

    public abstract String getOnfinish()

### getInitialClass

    public abstract String getInitialClass()

### getRemainingClass

    public abstract String getRemainingClass()

### getProgressClass

    public abstract String getProgressClass()

### getFinishClass

    public abstract String getFinishClass()

### getMode

    public abstract org.richfaces.component.SwitchType getMode()

### getMaxValue

    public abstract Object getMaxValue()

### getMinValue

    public abstract Object getMinValue()

### getValue

    public abstract Object getValue()

### getResource

    public abstract String getResource()

### getStyle

    public abstract String getStyle()

### getStyleClass

    public abstract String getStyleClass()

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `IOException`

### visitTree

    public boolean visitTree(javax.faces.component.visit.VisitContext context,
                             javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitTree` in class `javax.faces.component.UIComponent`

### resolveClientId

    public String resolveClientId(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent contextComponent,
                                  String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent contextComponent,
                                               String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.